package com.zipcodewilmington.froilansfarm.Collections;

import com.zipcodewilmington.froilansfarm.classes.CropDuster;
import com.zipcodewilmington.froilansfarm.classes.FarmVehicle;
import com.zipcodewilmington.froilansfarm.classes.Tractor;
import com.zipcodewilmington.froilansfarm.interfaces.Aircraft;

import java.util.ArrayList;

public class Farm {
    private Field field;
    private Stable[] stables;
    private ChickenCoop[] coops;
    private FarmVehicle tractor;
    private Aircraft aircraft;


    public Farm() {
        field = new Field();
        stables = new Stable[3];
        coops = new ChickenCoop[4];
        this.constructStables();
        this.constructCoops();
        tractor = new Tractor();
        this.aircraft = new CropDuster();
    }

    public void constructStables() {

        for(int i=0; i<3; i++)
            stables[i] = new Stable();
    }

    public void constructCoops(){

        for(int i=0; i<4; i++)
            coops[i] = new ChickenCoop();
    }


    public Field getField() {
        return field;
    }

    public void setField(Field field) {
        this.field = field;
    }

    public Stable[] getStables() {
        return stables;
    }

    public void setStables(Stable[] stables) {
        this.stables = stables;
    }

    public ChickenCoop[] getCoops() {
        return coops;
    }

    public void setCoops(ChickenCoop[] coops) {
        this.coops = coops;
    }

    public FarmVehicle getTractor() {
        return tractor;
    }

    public Aircraft getAircraft() {
        return aircraft;
    }


}
