package com.zipcodewilmington.froilansfarm.classes;

public class Crop {
    boolean isFertilized;
    boolean isHarvested;
    Tractor tractor;
    CropDuster cropDuster;

    public Crop() {
        this.isFertilized = false;
        this.isHarvested = false;
        this.tractor = new Tractor();
        cropDuster = new CropDuster();
    }

    public void fertilize(){

        isFertilized = cropDuster.selectCrop(this);
        this.isFertilized = true;
    }

    public void harvest(){
        isHarvested = tractor.selectCrop(this);
    }

    public boolean isFertilized() {
        return isFertilized;
    }

    public boolean isHarvested() {
        return isHarvested;
    }
}
