package com.zipcodewilmington.froilansfarm.classes;

import com.zipcodewilmington.froilansfarm.interfaces.Aircraft;
import com.zipcodewilmington.froilansfarm.interfaces.Rideable;

public class CropDuster extends FarmVehicle implements Aircraft, Rideable {

    public CropDuster() {
    }

    public boolean selectCrop(Crop crop) {
        return fertilizeCrop(crop);
    }

    public static boolean fertilizeCrop(Crop crop){
        crop.isFertilized = true;
        return crop.isFertilized;
    }

    public void fly() {
        System.out.println("fly over the crop and fertilize it");
    }

    public void rideOver() {
        System.out.println("riding over the crop duster");
    }

    public String makeNoise() {
        return "whoom";
    }
}
