package com.zipcodewilmington.froilansfarm.Collections;

import com.zipcodewilmington.froilansfarm.classes.*;

import java.util.ArrayList;

public class CropRow {
    ArrayList<Crop> croprow = new ArrayList<Crop>();
    String type;

    public CropRow(String type ){
        this.type = type;
        this.populateCropRow(type);
    }

    private void populateCropRow(String type) {
        for(int i=0;i<20;i++){
            if(type.equals("Tomato"))
                croprow.add(new TomatoStalk());
            else if(type.equals("Corn"))
                croprow.add(new CornStalk());
            else {
                if(type.equals("Cabbage"))
                    croprow.add(new Vegetation("Cabbage", "purple"));
                else if(type.equals("Broccoli"))
                    croprow.add(new Vegetation("Broccoli", "green"));
                else
                    croprow.add(new Vegetation("Spinach", "green"));
            }
        }
    }

    public void fertilize(){

        for(Crop crop: croprow){
            CropDuster.fertilizeCrop(crop);
        }
    }

    public ArrayList<Crop> getCroprow() {
        return croprow;
    }

    public int getCropRowLength() {
        return croprow.size();
    }

}
