package com.zipcodewilmington.froilansfarm.classes;

import com.zipcodewilmington.froilansfarm.Collections.Field;
import com.zipcodewilmington.froilansfarm.Collections.FoodStorage;
import com.zipcodewilmington.froilansfarm.interfaces.Farmer;
import com.zipcodewilmington.froilansfarm.interfaces.Pilot;

public class Freelan extends Person implements Pilot, Farmer {



    public Freelan() {
        this.setName("Freelan");
    }

    public void rideOver(Horse horse) {
        System.out.println(this.getName() + " is riding over the horse");
    }

    public void rideTheAircraft() {

    }

    public void eat(EarOfCorn corn) {
        System.out.println("eating " + corn.type);
    }

    public void eat(Egg egg) {
        System.out.println("eating " + egg.type);
    }

    public void eat(Tomato tomato) {
        System.out.println("eating " + tomato.type);
    }

    public String getName() {
        return super.getName();
    }

    public void setName(String name) {
        super.setName(name);
    }

    public void eat() {

    }

    public String makeNoise() {
        return "I am Freelan";
    }

    public void plantCrop(Field field,int cropRowNum, String type) {

        field.populateCropRows(cropRowNum, type);
    }


    public void rides(Vehicle vehicle) {

    }


}
