package com.zipcodewilmington.froilansfarm.classes;

import com.zipcodewilmington.froilansfarm.interfaces.Eater;
import com.zipcodewilmington.froilansfarm.interfaces.NoiseMaker;
import com.zipcodewilmington.froilansfarm.interfaces.Rideable;

public abstract class Person implements Eater, NoiseMaker {
    private String name;

    public Person() {

    }

    public abstract void rideOver(Horse horse);

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
